summaryrefslogtreecommitdiffstats
path: root/desktop/gtk-theme-Greybird/gtk-theme-Greybird.SlackBuild
diff options
context:
space:
mode:
author Edinaldo P. Silva <edps.mundognu@gmail.com>2016-08-27 23:52:03 +0100
committer David Spencer <idlemoor@slackbuilds.org>2016-08-28 00:22:59 +0100
commit2b71e284e253ea6af0d455aadbde83ceb20bc95a (patch)
tree88b6e52db431f183531f70031ce92025b1c0cddd /desktop/gtk-theme-Greybird/gtk-theme-Greybird.SlackBuild
parent27c06ad764a7a2fd3b3c212b8e8264875b5559c7 (diff)
downloadslackbuilds-2b71e284e253ea6af0d455aadbde83ceb20bc95a.tar.gz
slackbuilds-2b71e284e253ea6af0d455aadbde83ceb20bc95a.tar.xz
desktop/gtk-theme-Greybird: Added (Desktop Suite for Xfce).
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
Diffstat (limited to 'desktop/gtk-theme-Greybird/gtk-theme-Greybird.SlackBuild')
-rw-r--r--desktop/gtk-theme-Greybird/gtk-theme-Greybird.SlackBuild65
1 files changed, 65 insertions, 0 deletions
diff --git a/desktop/gtk-theme-Greybird/gtk-theme-Greybird.SlackBuild b/desktop/gtk-theme-Greybird/gtk-theme-Greybird.SlackBuild
new file mode 100644
index 0000000000..4521738dc5
--- /dev/null
+++ b/desktop/gtk-theme-Greybird/gtk-theme-Greybird.SlackBuild
@@ -0,0 +1,65 @@
+#!/bin/sh
+#
+# Slackware build script for gtk-theme-Greybird.
+#
+# Copyright 2016 Edinaldo P. Silva, Rio de Janeiro, Brazil.
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM="gtk-theme-Greybird"
+VERSION=${VERSION:-3.20.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+ARCH=noarch
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+CWD=$(pwd)
+
+set -e
+
+SRCNAM="Greybird"
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+mkdir $PRGNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.gz -C $PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
+chown -R root:root .
+
+# remove Unity and git stuff.
+rm -rf $SRCNAM-$VERSION/{.gitignore,unity,ubiquity-panel-bg.png}
+
+mkdir -p $PKG/usr/share/themes
+cp -a $SRCNAM-$VERSION $PKG/usr/share/themes/Greybird
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+mv $PKG/usr/share/themes/Greybird/{LICENSE.*,README.md} $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}